<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * History Entity.
 *
 * @property int $id
 * @property int $instrument_id
 * @property \App\Model\Entity\Instrument $instrument
 * @property \Cake\I18n\Time $date
 * @property int $event_id
 * @property \App\Model\Entity\Event $event
 */
class History extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false,
    ];
}
