<?php  $this->assign('title','日次レポート');?>

<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('集計') ?></li>
        <li><?= $this->Html->link(__('週間レポート'), ['action' => 'weekly']) ?></li>
        <li class="heading"><?= __('メンテナンス') ?></li>
        <li><?= $this->Html->link(__('履歴を新規に追加'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('機器一覧'), ['controller' => 'Instruments', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('機器を新規に追加'), ['controller' => 'Instruments', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('イベント種別一覧'), ['controller' => 'Events', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('イベント種別を新規に追加'), ['controller' => 'Events', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="histories index large-9 medium-8 columns content">
    <!-- タイトル -->
    <h3><?= __('日次レポート') ?></h3>
	
    <!-- 集計日 -->
	<?= $this->Form->create('Post'); ?>
	<div class="base_date" style='float:left;'>
		<?= $this->Form->input('集計日',array('type'=> 'date'));  ?>
	</div>
	<div class="base_date_update">
		<?= $this->Form->postButton('更新', '/histories/daily');  ?>
		<?= $this->Form->end(); ?>
	</div>

    <!-- 棒グラフ -->
    <div id="chart_div_moving"></div>
    <!-- 棒グラフ -->
    <div id="chart_div_temperature"></div>

	<!-- テーブル -->
<!-- 
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th><?= $this->Paginator->sort('date') ?></th>
                <th><?= $this->Paginator->sort('moving_count') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($graph_data as $graph): ?>
            <tr>
                <td><?= $graph[0] ?></td>
                <td><?= $graph[1] ?></td>
            </tr>
            <?php endforeach; ?>
            
        </tbody>
    </table>
 -->

	<!-- グラフ描画スクリプト -->           
    <script type="text/javascript">
    	google.charts.load( 'current', {packages:['corechart','bar','line']});
	    google.charts.setOnLoadCallback(drawChart);
	    function drawChart() {
			var array_tmp = <?php echo json_encode($graph_data_moving, JSON_HEX_TAG | JSON_HEX_AMP | JSON_HEX_APOS | JSON_HEX_QUOT); ?>;
	    	var array_data = google.visualization.arrayToDataTable(array_tmp);
			//console.log(array_tmp);
		    var options = {
	  	    	isStacked: true,
	  	    	width: 600,
	  	    	height: 800,
		        bars: 'horizontal',
		        title: '体動',
		      };
	      	var chart = new google.visualization.BarChart(document.getElementById('chart_div_moving'));
	      	chart.draw(array_data, options);
			var array_tmp = <?php echo json_encode($graph_data_temperature, JSON_HEX_TAG | JSON_HEX_AMP | JSON_HEX_APOS | JSON_HEX_QUOT); ?>;
	    	var array_data = google.visualization.arrayToDataTable(array_tmp);
			//console.log(array_tmp);
		    var options = {
	  	    	isStacked: true,
	  	    	width: 600,
	  	    	height: 800,
		        lines: 'vertical',
		        title: '温度',
		      };
	      	var chart = new google.visualization.LineChart(document.getElementById('chart_div_temperature'));
	      	chart.draw(array_data, options);
	    }
    </script>
</div>
