<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Instrument'), ['action' => 'edit', $instrument->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Instrument'), ['action' => 'delete', $instrument->id], ['confirm' => __('Are you sure you want to delete # {0}?', $instrument->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Instruments'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Instrument'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Histories'), ['controller' => 'Histories', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New History'), ['controller' => 'Histories', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="instruments view large-9 medium-8 columns content">
    <h3><?= h($instrument->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th><?= __('Id') ?></th>
            <td><?= $this->Number->format($instrument->id) ?></td>
        </tr>
    </table>
    <div class="row">
        <h4><?= __('Room') ?></h4>
        <?= $this->Text->autoParagraph(h($instrument->room)); ?>
    </div>
    <div class="row">
        <h4><?= __('Place') ?></h4>
        <?= $this->Text->autoParagraph(h($instrument->place)); ?>
    </div>
    <div class="row">
        <h4><?= __('Ip Address') ?></h4>
        <?= $this->Text->autoParagraph(h($instrument->ip_address)); ?>
    </div>
    <div class="related">
        <h4><?= __('Related Histories') ?></h4>
        <?php if (!empty($instrument->histories)): ?>
        <table cellpadding="0" cellspacing="0">
            <tr>
                <th><?= __('Id') ?></th>
                <th><?= __('Instrument Id') ?></th>
                <th><?= __('Date') ?></th>
                <th><?= __('Event Id') ?></th>
                <th class="actions"><?= __('Actions') ?></th>
            </tr>
            <?php foreach ($instrument->histories as $histories): ?>
            <tr>
                <td><?= h($histories->id) ?></td>
                <td><?= h($histories->instrument_id) ?></td>
                <td><?= h($histories->date) ?></td>
                <td><?= h($histories->event_id) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['controller' => 'Histories', 'action' => 'view', $histories->id]) ?>

                    <?= $this->Html->link(__('Edit'), ['controller' => 'Histories', 'action' => 'edit', $histories->id]) ?>

                    <?= $this->Form->postLink(__('Delete'), ['controller' => 'Histories', 'action' => 'delete', $histories->id], ['confirm' => __('Are you sure you want to delete # {0}?', $histories->id)]) ?>

                </td>
            </tr>
            <?php endforeach; ?>
        </table>
    <?php endif; ?>
    </div>
</div>
